remove pysqlite from setup.py
authorOrakaro <nhatminh_179@hotmail.com>
Mon, 4 Aug 2014 01:02:38 +0000 (10:02 +0900)
committerOrakaro <nhatminh_179@hotmail.com>
Mon, 4 Aug 2014 01:02:38 +0000 (10:02 +0900)
README.rst
docs/conf.py
docs/index.rst
setup.py

index 5b524b1..02c9f42 100644 (file)
@@ -10,7 +10,7 @@ Rainbow Stream
 Terminal-based Twitter Client. Realtime tweetstream, compose, search ,\r
 favorite … and much more fun directly from terminal.\r
 \r
-This package is built on the top of `Python Twitter Tool`_ and `Twitter API`_, \r
+This package is built on the top of `Python Twitter Tool`_ and `Twitter API`_,\r
 can run on Python 2.7.x and 3.x .\r
 \r
 \r
@@ -23,20 +23,6 @@ Showcase
 Install\r
 -------\r
 \r
-Prerequisite\r
-^^^^^^^^^^^^\r
-\r
-If you use Linux, you might need to install the ``python-dev`` package if you haven't already. \r
-For debian-based distros, these can be installed with \r
-\r
-.. code:: bash\r
-\r
-    sudo apt-get install python-dev\r
-\r
-Besides, Mac OSX Maverick with Xcode 5.1 has a well-known `clang unknown argument`_ problem with \r
-the ``Pillow`` package installation - a dependency of this app.\r
-If you are in this case, I recommend take a look at `Issue #10`_ and let me know if the workaround doesn't work for you.\r
-\r
 The quick way\r
 ^^^^^^^^^^^^^\r
 \r
@@ -61,6 +47,12 @@ Use `virtualenv`_
     source venv/bin/activate\r
     pip install rainbowstream\r
 \r
+Troubleshooting\r
+^^^^^^^^^^^^^^^\r
+\r
+Mac OSX Maverick with Xcode 5.1 has a well-known `clang unknown argument`_ problem with\r
+the ``Pillow`` package installation - a dependency of this app.\r
+If you are in this case, I recommend take a look at `Issue #10`_ and let me know if the workaround doesn't work for you.\r
 \r
 Usage\r
 -----\r
@@ -83,7 +75,7 @@ You can try it with:
 \r
     rainbowstream -iot # Or rainbowstream --image-on-term\r
 \r
-You also can change the config key ``IMAGE_ON_TERM`` to ``True`` inside the app \r
+You also can change the config key ``IMAGE_ON_TERM`` to ``True`` inside the app\r
 to enable above feature (see `config management`_ section).\r
 \r
 In the first time you will be asked for authorization of Rainbow Stream\r
index 7b5ea21..66ef9be 100644 (file)
@@ -48,9 +48,9 @@ copyright = u'2014, Vu Nhat Minh'
 # built documents.
 #
 # The short X.Y version.
-version = '0.6.0'
+version = '0.6.1'
 # The full version, including alpha/beta/rc tags.
-release = '0.6.0'
+release = '0.6.1'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
index fc3f121..ba3e38b 100644 (file)
@@ -16,22 +16,6 @@ can run on Python 2.7.x and 3.x .
 Install\r
 -------\r
 \r
-Prerequisite\r
-^^^^^^^^^^^^\r
-\r
-If you use Linux, you might need to install the ``python-dev`` package if you haven't already. \r
-For debian-based distros, these can be installed with \r
-\r
-.. code:: bash\r
-\r
-    sudo apt-get install python-dev\r
-\r
-\r
-Besides, Mac OSX Maverick with Xcode 5.1 has a well-known `clang unknown argument`_ problem with \r
-the ``Pillow`` package installation - a dependency of this app.\r
-If you are in this case, I recommend take a look at `Issue #10`_ and let me know if the workaround doesn't work for you.\r
-\r
-\r
 The quick way\r
 ^^^^^^^^^^^^^\r
 \r
@@ -55,6 +39,12 @@ Use `virtualenv`_
     source venv/bin/activate\r
     pip install rainbowstream\r
 \r
+Troubleshooting\r
+^^^^^^^^^^^^^^^\r
+\r
+Mac OSX Maverick with Xcode 5.1 has a well-known `clang unknown argument`_ problem with\r
+the ``Pillow`` package installation - a dependency of this app.\r
+If you are in this case, I recommend take a look at `Issue #10`_ and let me know if the workaround doesn't work for you.\r
 \r
 Usage\r
 -----\r
index 9e5b65e..d225ebd 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -1,10 +1,9 @@
 from setuptools import setup, find_packages
 import os
 import os.path
-import sys
 
 # Bumped version
-version = '0.6.0'
+version = '0.6.1'
 
 # Require
 install_requires = [
@@ -15,10 +14,6 @@ install_requires = [
     "Pillow",
 ]
 
-# Python 3 doesn't have pysqlite
-if sys.version[0] == "2":
-    install_requires += ["pysqlite"]
-
 # Copy default config if not exists
 default = os.path.expanduser("~") + os.sep + '.rainbow_config.json'
 if not os.path.isfile(default):